{{- if .Values.frontend.ingress.enabled -}}
{{- $fullName := (default (include "kirk.frontend.fullname" .) .Values.frontend.service.name) -}}
{{- $ingressPaths := .Values.frontend.ingress.paths -}}
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: {{ $fullName }}
  labels:
    app.kubernetes.io/name: {{ include "kirk.name" . }}
    helm.sh/chart: {{ include "kirk.chart" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
  {{- with .Values.frontend.ingress.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
spec:
{{- if .Values.frontend.ingress.tls }}
  tls:
  {{- range .Values.frontend.ingress.tls }}
    - hosts:
      {{- range .hosts }}
        - {{ . | quote }}
      {{- end }}
      secretName: {{ .secretName }}
  {{- end }}
{{- end }}
  rules:
  {{- range .Values.frontend.ingress.hosts }}
    - host: {{ . | quote }}
      http:
        paths:
    {{- range $ingressPaths }}
          - path: {{ . }}
            backend:
              serviceName: {{ $fullName }}
              servicePort: http
    {{- end }}
  {{- end }}
{{- end }}
